LauncherExitCodes (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.service.launcher, interface: LauncherExitCodes

Package org.apache.hadoop.service.launcher

# Interface LauncherExitCodes

All Known Implementing Classes:
  `ServiceLaunchException`

@Public @Evolving public interface LauncherExitCodes
Common Exit codes.

Codes with a YARN prefix are YARN-related.

Many of the exit codes are designed to resemble HTTP error codes, squashed into a single byte. e.g 44 , "not found" is the equivalent of 404. The various 2XX HTTP error codes aren't followed; the Unix standard of "0" for success is used.

        0-10: general command issues
       30-39: equivalent to the 3XX responses, where those responses are
              considered errors by the application.
       40-49: client-side/CLI/config problems
       50-59: service-side problems.
       60+  : application specific error codes

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EXIT_BAD_CONFIGURATION`
  Exit code when the configurations in valid/incomplete: 49.
  `static final int`
  `EXIT_CLIENT_INITIATED_SHUTDOWN`
  Exit code when a client requested service termination: 1.
  `static final int`
  `EXIT_COMMAND_ARGUMENT_ERROR`
  Exit code when the command line doesn't parse: 40, or when it is otherwise invalid.
  `static final int`
  `EXIT_CONNECTIVITY_PROBLEM`
  Exit code on connectivity problems: 48.
  `static final int`
  `EXIT_EXCEPTION_THROWN`
  Exit code when an exception was thrown from the service: 50.
  `static final int`
  `EXIT_FAIL`
  Generic "false/fail" response: -1.
  `static final int`
  `EXIT_FORBIDDEN`
  Forbidden action: 43.
  `static final int`
  `EXIT_INTERRUPTED`
  Exit code when a control-C, kill -3, signal was picked up: 3.
  `static final int`
  `EXIT_NOT_ACCEPTABLE`
  The command is somehow not acceptable: 46.
  `static final int`
  `EXIT_NOT_FOUND`
  Something was not found: 44.
  `static final int`
  `EXIT_OPERATION_NOT_ALLOWED`
  The operation is not allowed: 45.
  `static final int`
  `EXIT_OTHER_FAILURE`
  Exit code when something happened but we can't be specific: 5.
  `static final int`
  `EXIT_SERVICE_CREATION_FAILURE`
  The service instance could not be created: 56.
  `static final int`
  `EXIT_SERVICE_LIFECYCLE_EXCEPTION`
  The service instance could not be created: 57.
  `static final int`
  `EXIT_SERVICE_UNAVAILABLE`
  Service Unavailable; it may be available later: 53.
  `static final int`
  `EXIT_SUCCESS`
  Success: 0.
  `static final int`
  `EXIT_TASK_LAUNCH_FAILURE`
  Exit code when targets could not be launched: 2.
  `static final int`
  `EXIT_UNAUTHORIZED`
  The request requires user authentication: 41.
  `static final int`
  `EXIT_UNIMPLEMENTED`
  Unimplemented feature: 51.
  `static final int`
  `EXIT_UNSUPPORTED_VERSION`
  The application does not support, or refuses to support this version: 55.
  `static final int`
  `EXIT_USAGE`
  Exit code when a usage message was printed: 42.

- ## Field Details

  - ### EXIT_SUCCESS

    static final int EXIT_SUCCESS
    Success: 0.
    See Also:
      - Constant Field Values

  - ### EXIT_FAIL

    static final int EXIT_FAIL
    Generic "false/fail" response: -1. The operation worked but the result was not "true" from the viewpoint of the executed code.
    See Also:
      - Constant Field Values

  - ### EXIT_CLIENT_INITIATED_SHUTDOWN

    static final int EXIT_CLIENT_INITIATED_SHUTDOWN
    Exit code when a client requested service termination: 1.
    See Also:
      - Constant Field Values

  - ### EXIT_TASK_LAUNCH_FAILURE

    static final int EXIT_TASK_LAUNCH_FAILURE
    Exit code when targets could not be launched: 2.
    See Also:
      - Constant Field Values

  - ### EXIT_INTERRUPTED

    static final int EXIT_INTERRUPTED
    Exit code when a control-C, kill -3, signal was picked up: 3.
    See Also:
      - Constant Field Values

  - ### EXIT_OTHER_FAILURE

    static final int EXIT_OTHER_FAILURE
    Exit code when something happened but we can't be specific: 5.
    See Also:
      - Constant Field Values

  - ### EXIT_COMMAND_ARGUMENT_ERROR

    static final int EXIT_COMMAND_ARGUMENT_ERROR
    Exit code when the command line doesn't parse: 40, or when it is otherwise invalid.

    Approximate HTTP equivalent: `400 Bad Request`

    See Also:
      - Constant Field Values

  - ### EXIT_UNAUTHORIZED

    static final int EXIT_UNAUTHORIZED
    The request requires user authentication: 41.

    approximate HTTP equivalent: Approximate HTTP equivalent: `401 Unauthorized`

    See Also:
      - Constant Field Values

  - ### EXIT_USAGE

    static final int EXIT_USAGE
    Exit code when a usage message was printed: 42.
    See Also:
      - Constant Field Values

  - ### EXIT_FORBIDDEN

    static final int EXIT_FORBIDDEN
    Forbidden action: 43.

    Approximate HTTP equivalent: Approximate HTTP equivalent: `403: Forbidden`

    See Also:
      - Constant Field Values

  - ### EXIT_NOT_FOUND

    static final int EXIT_NOT_FOUND
    Something was not found: 44.

    Approximate HTTP equivalent: `404: Not Found`

    See Also:
      - Constant Field Values

  - ### EXIT_OPERATION_NOT_ALLOWED

    static final int EXIT_OPERATION_NOT_ALLOWED
    The operation is not allowed: 45.

    Approximate HTTP equivalent: `405: Not allowed`

    See Also:
      - Constant Field Values

  - ### EXIT_NOT_ACCEPTABLE

    static final int EXIT_NOT_ACCEPTABLE
    The command is somehow not acceptable: 46.

    Approximate HTTP equivalent: `406: Not Acceptable`

    See Also:
      - Constant Field Values

  - ### EXIT_CONNECTIVITY_PROBLEM

    static final int EXIT_CONNECTIVITY_PROBLEM
    Exit code on connectivity problems: 48.

    Approximate HTTP equivalent: `408: Request Timeout`

    See Also:
      - Constant Field Values

  - ### EXIT_BAD_CONFIGURATION

    static final int EXIT_BAD_CONFIGURATION
    Exit code when the configurations in valid/incomplete: 49.

    Approximate HTTP equivalent: `409: Conflict`

    See Also:
      - Constant Field Values

  - ### EXIT_EXCEPTION_THROWN

    static final int EXIT_EXCEPTION_THROWN
    Exit code when an exception was thrown from the service: 50.

    Approximate HTTP equivalent: `500 Internal Server Error`

    See Also:
      - Constant Field Values

  - ### EXIT_UNIMPLEMENTED

    static final int EXIT_UNIMPLEMENTED
    Unimplemented feature: 51.

    Approximate HTTP equivalent: `501: Not Implemented`

    See Also:
      - Constant Field Values

  - ### EXIT_SERVICE_UNAVAILABLE

    static final int EXIT_SERVICE_UNAVAILABLE
    Service Unavailable; it may be available later: 53.

    Approximate HTTP equivalent: `503 Service Unavailable`

    See Also:
      - Constant Field Values

  - ### EXIT_UNSUPPORTED_VERSION

    static final int EXIT_UNSUPPORTED_VERSION
    The application does not support, or refuses to support this version: 55.

    If raised, this is expected to be raised server-side and likely due to client/server version incompatibilities.

    Approximate HTTP equivalent: `505: Version Not Supported`

    See Also:
      - Constant Field Values

  - ### EXIT_SERVICE_CREATION_FAILURE

    static final int EXIT_SERVICE_CREATION_FAILURE
    The service instance could not be created: 56.
    See Also:
      - Constant Field Values

  - ### EXIT_SERVICE_LIFECYCLE_EXCEPTION

    static final int EXIT_SERVICE_LIFECYCLE_EXCEPTION
    The service instance could not be created: 57.
    See Also:
      - Constant Field Values